Create a key to copy examples filled with your team.
Events
Delivery events for a cluster.
Delivery events for a cluster, newest first. Optional filters apply first, then the list is capped at 200. Same filters as the cluster Events page. Unique args you set at send time live in the stored payload.
GET /api/v1/teams/:team_id/clusters/:cluster_id/message_events
List events. Filters apply first, then the latest 200.
cluster_id: Cluster idmessage_id: Exact message idrecipient: Case-insensitive exact recipienttenant_id: Exact tenant idevent_type: Exact event typesince: Occurred at on or afteruntil: Occurred at on or before
request.sh
1
curl -sS -X GET \
2
-H 'Authorization: Bearer YOUR_API_KEY' \
3
https://postshiba.com/api/v1/teams/1/clusters/:cluster_id/message_events
response.json
1
[
2
{
3
"id": 44,
4
"event_type": "delivered",
5
"recipient": "dest@example.com",
6
"sender": "hello@mail.example.com",
7
"message_id": "abc",
8
"occurred_at": "2026-08-29T00:00:00Z",
9
"drain_status": "pending",
10
"tenant_id": 12,
11
"sending_domain_id": 8,
12
"node_id": null,
13
"payload": {
14
"event": "delivered"
15
}
16
}
17
]
request.sh
1
curl -sS -X GET \
2
-H 'Authorization: Bearer YOUR_API_KEY' \
3
https://postshiba.com/api/v1/message_events/:message_event_id
response.json
1
{
2
"id": 44,
3
"event_type": "delivered",
4
"recipient": "dest@example.com",
5
"sender": "hello@mail.example.com",
6
"message_id": "abc",
7
"occurred_at": "2026-08-29T00:00:00Z",
8
"drain_status": "pending",
9
"tenant_id": 12,
10
"sending_domain_id": 8,
11
"node_id": null,
12
"payload": {
13
"event": "delivered"
14
}
15
}